std::length_error(3)

NAME
std::length_error - std::length_error

Synopsis
   Defined in header <stdexcept>
   class length_error;
   Defines a type of object to be thrown as exception. It reports errors that result
   from attempts to exceed implementation defined length limits for some object.
   This exception is thrown by member functions of std::basic_string and
   std::vector::reserve
   std-length error-inheritance.svg
                        Inheritance diagram

Member functions
   constructor constructs a new length_error object with the given message
                 (public member function)
   operator= replaces the length_error object
                 (public member function)
   what returns the explanatory string
                 (public member function) std::length_error::length_error
   length_error( const std::string& what_arg ); (1)
   length_error( const char* what_arg ); (2) (since C++11)
   length_error( const length_error& other ); (3) (until C++11)
   length_error( const length_error& other ) noexcept; (since C++11)
   1-2) Constructs the exception object with what_arg as explanatory string that can be
   accessed through what().
   3) Copy constructor.
   If *this and other both have dynamic type std::length_error then std::strcmp(what(),
   other.what()) == 0.
   (since C++11)

Parameters
   what_arg - explanatory string
   other - another exception object to copy

Exceptions
   1-2) May throw std::bad_alloc

Notes
   Because copying std::length_error is not permitted to throw exceptions, this message
   is typically stored internally as a separately-allocated reference-counted string.
   This is also why there is no constructor taking std::string&&: it would have to copy
   the content anyway. std::length_error::operator=
   length_error& operator=( const length_error& other ); (until C++11)
   length_error& operator=( const length_error& other ) noexcept; (since C++11)
   Assigns the contents with those of other.
   If *this and other both have dynamic type std::length_error then std::strcmp(what(),
   other.what()) == 0 after assignment.
   (since C++11)

Parameters
   other - another exception object to assign with

Return value
   *this std::length_error::what
   virtual const char* what() const throw(); (until C++11)
   virtual const char* what() const noexcept; (since C++11)
   Returns the explanatory string.

Parameters
   (none)

Return value
   Pointer to a null-terminated string with explanatory information. The string is
   suitable for conversion and display as a std::wstring. The pointer is guaranteed to
   be valid at least until the exception object from which it is obtained is destroyed,
   or until a non-const member function (e.g. copy assignment operator) on the
   exception object is called.

Notes
   Implementations are allowed but not required to override what(). Inherited from std::logic_error Inherited from std::exception

Member functions
   destructor destroys the exception object
   [virtual] (virtual public member function of std::exception)
   what returns an explanatory string
   [virtual] (virtual public member function of std::exception)

See also
   resize changes the number of characters stored
          (public member function of std::basic_string<CharT,Traits,Allocator>)